Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html
Class BindingContainerDataSource

`java.lang.Object
oracle.jbo.html.DataSourceImpl
oracle.jbo.html.BindingContainerDataSource`

All Implemented Interfaces:
  DataSource

public class BindingContainerDataSource
extends DataSourceImpl

Field Summary

Fields inherited from interface oracle.jbo.html.DataSource
`DEFAULT_RANGE_SIZE`

Constructor Summary
`BindingContainerDataSource(javax.servlet.http.HttpServletRequest request, oracle.adf.model.binding.DCBindingContainer container, JUControlBinding binding)`

Method Summary
`ApplicationModule` | `getApplicationModule()` Name of the ApplicationModule containing the ViewObject bind to this datasource.
`java.lang.String` | `getAttributeLabel(AttributeDef aDef)`
`java.lang.String` | `getAttributeLabel(java.lang.String sAttribute)`
`JUControlBinding` | `getControlBinding()`
`LocaleContext` | `getLocaleContext()` Returns the locale context
`Row` | `getRowFromKey(java.lang.String sKey)`
`RowSet` | `getRowSet()` Return the RowSet instance of the ViewObject bind to this datasource.
`boolean` | `isBindingContainerDataSource()`
`boolean` | `isQueryable()` Determines if the view object has any queryable fields
`protected boolean` | `isReadOnly(AttributeDef attrDef)`
`void` | `synchronize()` Synchronizes client changes with remote application.

Methods inherited from class oracle.jbo.html.DataSourceImpl
`getApplicationId, getAttributeLabel, getAttributeRenderers, getContextFieldRendererClassName, getDefaultDisplayRendererClassName, getDefaultEditRendererClassName, getDefaultFieldRendererClassName, getDisplayFieldRenderer, getDisplayFieldRenderer, getDisplayRendererClassName, getEditFieldRenderer, getEditFieldRenderer, getEditRendererClassName, getFieldRendererClassName, getViewObjectName, hasFieldRenderer, setApplicationId, setApplicationModule, setApplicationModule, setAttributeRenderers, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setFieldRenderer, setRequest, setRowSet, shouldDisplayAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingContainerDataSource

    public BindingContainerDataSource(javax.servlet.http.HttpServletRequest request,
                                      oracle.adf.model.binding.DCBindingContainer container,
                                      JUControlBinding binding)

Method Detail

### isBindingContainerDataSource

    public boolean isBindingContainerDataSource()

  Specified by:
    `isBindingContainerDataSource` in interface `DataSource`
  Overrides:
    `isBindingContainerDataSource` in class `DataSourceImpl`

### getApplicationModule

    public ApplicationModule getApplicationModule()

  Description copied from interface: `DataSource`
  Name of the ApplicationModule containing the ViewObject bind to this datasource.
  Specified by:
    `getApplicationModule` in interface `DataSource`
  Overrides:
    `getApplicationModule` in class `DataSourceImpl`

### getAttributeLabel

    public java.lang.String getAttributeLabel(java.lang.String sAttribute)

  Specified by:
    `getAttributeLabel` in interface `DataSource`
  Overrides:
    `getAttributeLabel` in class `DataSourceImpl`

### getAttributeLabel

    public java.lang.String getAttributeLabel(AttributeDef aDef)

  Specified by:
    `getAttributeLabel` in interface `DataSource`
  Overrides:
    `getAttributeLabel` in class `DataSourceImpl`

### isReadOnly

    protected boolean isReadOnly(AttributeDef attrDef)

  Overrides:
    `isReadOnly` in class `DataSourceImpl`

### getRowFromKey

    public Row getRowFromKey(java.lang.String sKey)

  Specified by:
    `getRowFromKey` in interface `DataSource`
  Overrides:
    `getRowFromKey` in class `DataSourceImpl`

### isQueryable

    public boolean isQueryable()

  Description copied from class: `DataSourceImpl`
  Determines if the view object has any queryable fields
  Specified by:
    `isQueryable` in interface `DataSource`
  Overrides:
    `isQueryable` in class `DataSourceImpl`

### getLocaleContext

    public LocaleContext getLocaleContext()

  Description copied from interface: `DataSource`
  Returns the locale context
  Specified by:
    `getLocaleContext` in interface `DataSource`
  Overrides:
    `getLocaleContext` in class `DataSourceImpl`

### getControlBinding

    public JUControlBinding getControlBinding()

### getRowSet

    public RowSet getRowSet()

  Description copied from interface: `DataSource`
  Return the RowSet instance of the ViewObject bind to this datasource.
  Specified by:
    `getRowSet` in interface `DataSource`
  Overrides:
    `getRowSet` in class `DataSourceImpl`

### synchronize

    public void synchronize()

  Description copied from interface: `DataSource`
  Synchronizes client changes with remote application.
  Specified by:
    `synchronize` in interface `DataSource`
  Overrides:
    `synchronize` in class `DataSourceImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.